be.fgov.ehealth.hubservices.core.v3

## Class SelectGetTransactionListType

- java.lang.Object
- - be.fgov.ehealth.hubservices.core.v3.SelectGetTransactionListType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-23T10:10:21+01:00",
                 comments="JAXB RI v2.3.7")
      public class SelectGetTransactionListType
      extends Object
      implements Serializable

  Java class for SelectGetTransactionListType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="SelectGetTransactionListType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="patient" type="{http://www.ehealth.fgov.be/hubservices/core/v3}PatientIdType"/>
               <element name="transaction" type="{http://www.ehealth.fgov.be/hubservices/core/v3}transactionWithPeriodType" minOccurs="0"/>
               <element name="searchtype" type="{http://www.ehealth.fgov.be/hubservices/core/v3}LocalSearchType" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SelectGetTransactionListType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PatientIdType` | `getPatient()` Gets the value of the patient property.
    `LocalSearchType` | `getSearchtype()` Gets the value of the searchtype property.
    `TransactionWithPeriodType` | `getTransaction()` Gets the value of the transaction property.
    `void` | `setPatient(PatientIdType value)` Sets the value of the patient property.
    `void` | `setSearchtype(LocalSearchType value)` Sets the value of the searchtype property.
    `void` | `setTransaction(TransactionWithPeriodType value)` Sets the value of the transaction property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SelectGetTransactionListType

          public SelectGetTransactionListType()

  - ### Method Detail

    - #### getPatient

          public PatientIdType getPatient()

      Gets the value of the patient property.
      Returns:
        possible object is `PatientIdType`

    - #### setPatient

          public void setPatient(PatientIdType value)

      Sets the value of the patient property.
      Parameters:
        `value` - allowed object is `PatientIdType`

    - #### getTransaction

          public TransactionWithPeriodType getTransaction()

      Gets the value of the transaction property.
      Returns:
        possible object is `TransactionWithPeriodType`

    - #### setTransaction

          public void setTransaction(TransactionWithPeriodType value)

      Sets the value of the transaction property.
      Parameters:
        `value` - allowed object is `TransactionWithPeriodType`

    - #### getSearchtype

          public LocalSearchType getSearchtype()

      Gets the value of the searchtype property.
      Returns:
        possible object is `LocalSearchType`

    - #### setSearchtype

          public void setSearchtype(LocalSearchType value)

      Sets the value of the searchtype property.
      Parameters:
        `value` - allowed object is `LocalSearchType`

Connector Packaging PERSNURSE 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.